package cofh.thermal.expansion.client.gui.machine;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cofh.core.client.gui.IGuiAccess;
import cofh.core.client.gui.element.ElementBase;
import cofh.core.inventory.container.ContainerCoFH;
import cofh.core.util.helpers.GuiHelper;
import cofh.lib.api.block.entity.ITileCallback;
import cofh.lib.api.control.IReconfigurable;
import cofh.thermal.core.client.gui.ThermalGuiHelper;
import cofh.thermal.expansion.inventory.container.machine.MachineCrucibleContainer;
import cofh.thermal.lib.block.entity.AugmentableBlockEntity;
import cofh.thermal.lib.client.gui.MachineScreen;
import net.minecraft.network.chat.Component;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.world.entity.player.Inventory;

public class MachineCrucibleScreen extends MachineScreen<MachineCrucibleContainer> {
  public static final String TEX_PATH = "thermal:textures/gui/container/crucible.png";
  
  public static final ResourceLocation TEXTURE = new ResourceLocation("thermal:textures/gui/container/crucible.png");
  
  public MachineCrucibleScreen(MachineCrucibleContainer container, Inventory inv, Component titleIn) {
    super((ContainerCoFH)container, inv, container.tile, titleIn);
    this.texture = TEXTURE;
    this.info = GuiHelper.generatePanelInfo("info.thermal.machine_crucible");
    this.name = "crucible";
  }
  
  public void m_7856_() {
    super.m_7856_();
    addElement((ElementBase)GuiHelper.createInputSlot((IGuiAccess)this, 53, 26, (IReconfigurable)this.tile));
    addElement((ElementBase)GuiHelper.setClearable(GuiHelper.createMediumOutputFluidStorage((IGuiAccess)this, 125, 22, this.tile.getTank(0), (IReconfigurable)this.tile), (ITileCallback)this.tile, 0));
    addElement((ElementBase)ThermalGuiHelper.createDefaultFluidProgress((IGuiAccess)this, 84, 35, "cofh_core:textures/gui/elements/progress_fluid_right.png", (AugmentableBlockEntity)this.tile));
    addElement((ElementBase)ThermalGuiHelper.createDefaultProgress((IGuiAccess)this, 84, 35, "cofh_core:textures/gui/elements/progress_fluid_right.png", (AugmentableBlockEntity)this.tile));
    addElement((ElementBase)ThermalGuiHelper.createDefaultSpeed((IGuiAccess)this, 53, 44, "cofh_core:textures/gui/elements/scale_flame.png", (AugmentableBlockEntity)this.tile));
  }
}
